# PostDancingMoveAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostDancingMoveAbAttr

Triggers after a dance move is used either by the opponent or the player

#### Hierarchy (View Summary)

- PostMoveUsedAbAttr
  - PostDancingMoveAbAttr

- Defined in src/data/ability.ts:4390

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostMoveUsed
canApply
canApplyPostMoveUsed
getCondition
getTarget
getTriggerMessage

## Constructors

### constructor

- new PostDancingMoveAbAttr(showAbility?: boolean): PostDancingMoveAbAttr

  #### Parameters

  - showAbility: boolean = true

  #### Returns PostDancingMoveAbAttr

  Inherited from PostMoveUsedAbAttr.constructor

  - Defined in src/data/ability.ts:187

## Properties

### showAbility

showAbility: boolean

Inherited from PostMoveUsedAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostMoveUsedAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostMoveUsedAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostMoveUsed

- applyPostMoveUsed(
  dancer: default ,
  move: PokemonMove ,
  source: default ,
  targets: BattlerIndex [],
  simulated: boolean,
  args: any[],
  ): void

  Resolves the Dancer ability by replicating the move used by the source of the dance either on the source itself or on the target of the dance

  #### Parameters

  - dancer: default

    `Pokemon` with Dancer ability

  - move: PokemonMove

    `PokemonMove` Dancing move used by the source

  - source: default

    `Pokemon` that used the dancing move

  - targets: BattlerIndex []

    `BattlerIndex`Targets of the dancing move

  - simulated: boolean
  - args: any[]

    N/A

  #### Returns void

  Overrides PostMoveUsedAbAttr.applyPostMoveUsed

  - Defined in src/data/ability.ts:4409

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostMoveUsedAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostMoveUsed

- canApplyPostMoveUsed(
  dancer: default ,
  move: PokemonMove ,
  source: default ,
  targets: BattlerIndex [],
  simulated: boolean,
  args: any[],
  ): boolean

  #### Parameters

  - dancer: default
  - move: PokemonMove
  - source: default
  - targets: BattlerIndex []
  - simulated: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostMoveUsedAbAttr.canApplyPostMoveUsed

  - Defined in src/data/ability.ts:4391

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from PostMoveUsedAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTarget

- getTarget(
  dancer: default ,
  source: default ,
  targets: BattlerIndex [],
  ): BattlerIndex []

  Get the correct targets of Dancer ability

  #### Parameters

  - dancer: default

    `Pokemon` Pokemon with Dancer ability

  - source: default

    `Pokemon` Source of the dancing move

  - targets: BattlerIndex []

    `BattlerIndex` Targets of the dancing move

  #### Returns BattlerIndex []

  - Defined in src/data/ability.ts:4435

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from PostMoveUsedAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201